2D games not working

Questions about Wine on macOS.
Post Reply
-DIOXIDE-
Newbie
Newbie
Posts: 3
Joined: Thu Sep 03, 2020 3:10 pm

2D games not working

Post by -DIOXIDE- » Thu Sep 03, 2020 3:14 pm

I have this weird thing happen when I try to open .exe files for 2D games, it says Wine is running but nothing happens, but when I play 3D games like Half-Life and Dark Souls it works perfectly, does anyone know how to fix this?

Gcenx
Level 6
Level 6
Posts: 517
Joined: Mon Dec 25, 2017 12:11 pm

Re: 2D games not working

Post by Gcenx » Fri Sep 04, 2020 9:53 am

Your not providing any usable information for anyone to attempt to help you with this.

What version of wine is being used?

What game(s) have this issue?

Also attach terminal output when attempting to launch the games with said issues.


I personally play Diablo 2 on a regular basis and this works, Red Alert 2/YR requires CNC-DDraw to be playable on macOS anyway

-DIOXIDE-
Newbie
Newbie
Posts: 3
Joined: Thu Sep 03, 2020 3:10 pm

Re: 2D games not working

Post by -DIOXIDE- » Fri Sep 04, 2020 1:59 pm

The games I’ve tried are Blasphemous, Death’s Gambit and Salt and Sanctuary, and my wine version is 1.8.6

But I don’t know how to see the terminal output

User avatar
DarkShadow44
Level 8
Level 8
Posts: 1108
Joined: Tue Nov 22, 2016 5:39 pm

Re: 2D games not working

Post by DarkShadow44 » Sat Sep 05, 2020 9:16 am

Update wine to 5.x and try again, 1.8.6 is way out of date.

-DIOXIDE-
Newbie
Newbie
Posts: 3
Joined: Thu Sep 03, 2020 3:10 pm

Re: 2D games not working

Post by -DIOXIDE- » Sat Sep 05, 2020 10:35 am

It works! I updated it to 5.0 and it runs them! Thank you so much, I didn’t even know there were more versions!

Gcenx
Level 6
Level 6
Posts: 517
Joined: Mon Dec 25, 2017 12:11 pm

Re: 2D games not working

Post by Gcenx » Sat Sep 05, 2020 11:44 am

-DIOXIDE- wrote:
Fri Sep 04, 2020 1:59 pm
The games I’ve tried are Blasphemous, Death’s Gambit and Salt and Sanctuary, and my wine version is 1.8.6

But I don’t know how to see the terminal output
As DarkShadow44 said use a more recent version of wine as 1.8.6 is ancient!

Winehq packages will get you to 5.0 and 5.7, for something newer grab one of the packages I provide from https://github.com/Gcenx/macOS_Wine_builds, I recommend installing via the brew tap I provide.

Post Reply